#!/usr/bin/env bash
RTLS_FRONTEND_PREFIX=/usr/rtls/rtls-frontend
ADDON_NAME_FOLDER='vehicle_restriction_zones'

$RTLS_FRONTEND_PREFIX/node_modules/.bin/babel-node $RTLS_FRONTEND_PREFIX/node_modules/db-migrate/bin/db-migrate up -m $RTLS_FRONTEND_PREFIX/server/addons/$ADDON_NAME_FOLDER/migrations/ --config /usr/rtls/database.json  --env prod

if sudo systemctl is-active --quiet rtls-server-zone-manager; then
    echo "Restarting rtls-server-zone-manager"
    sudo systemctl restart rtls-server-zone-manager
else
    echo "rtls-server-zone-manager is not active. Cannot restart."
fi

exit 0
